.homeContainer {
  min-height: 100vh;
  padding: 0 2rem;
}

.homeContainer > section {
  margin-bottom: 2rem;
}

.homeContainer > section > h1 {
  text-align: center;
}

section > .cardContainer {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 2rem;
  margin: 2rem 0;
}

section > .viewAllButton {
  display: block;
  margin: 0 auto;
  font-size: 18px;
}

section > .gallary {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  margin-top: 2rem;
  gap: 2rem;
}

section > .gallary > .gallaryImg {
  border-radius: var(--bor-rad-16);
  overflow: hidden;
  cursor: pointer;
}

section > .gallary > .gallaryImg > img {
  transition: var(--transition-all);
}

section > .gallary > .gallaryImg:hover img {
  transform: scale(1.8) rotate(45deg);
}

/*  **************  MEDIA QUERIES ( MEDIUM DEVICES )  ****************  */
@media screen and (max-width: 1023px) {
  .homeContainer {
    max-width: 86%;
  }

  .homeContainer > section > h1 {
    font-size: 42px;
  }
  .homeContainer > section > p {
    font-size: 16px;
  }
  .homeContainer > section > .cardContainer {
    grid-template-columns: 1fr 1fr;
  }
  section > .gallary {
    grid-template-columns: 1fr 1fr;
  }
}

/*  **************  MEDIA QUERIES ( MEDIUM DEVICES )  ****************  */
@media screen and (max-width: 500px) {
  .homeContainer {
    max-width: 96%;
  }
  .homeContainer > section > .cardContainer {
    grid-template-columns: 1fr;
  }
  .homeContainer > section > .viewAllButton {
    width: 100%;
  }
}
